Get Collection
curl --request GET \
--url https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/collections/{id}import requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/collections/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/projects/{projectId}/collections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Collections
Get Collection
Retrieve a specific collection by ID
GET
/
app
/
v1
/
organizations
/
{organizationId}
/
projects
/
{projectId}
/
collections
/
{id}
Get Collection
Path Parameters
Organization ID
Project ID
Collection ID
Response
Returns the Collection object.{
"id": "coll123",
"name": "UI Components",
"folderId": null,
"createdAt": "2024-03-20T10:00:00Z",
"updatedAt": "2024-03-20T10:00:00Z"
}
Error Responses
Collection Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "Collection not found"
}
}
Code Examples
curl -X GET "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/collections/coll123" \
-H "Authorization: Bearer YOUR_JWT"
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/collections/coll123',
{
headers: {
'Authorization': 'Bearer YOUR_JWT'
}
}
);
const collection = await response.json();
console.log(`Collection: ${collection.name}`);
⌘I